org.deidentifier.arx.gui.view.impl.risk

## Class ViewRisks<T extends AnalysisContextVisualization>

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.risk.ViewRisks<T>

Type Parameters:
  `T` -

All Implemented Interfaces:
  IView

Direct Known Subclasses:
  ViewRisksAttackerModels, ViewRisksHIPAAIdentifiersTable, ViewRisksOverview, ViewRisksPopulationUniques, ViewRisksQuasiIdentifiersTable, ViewRisksRiskDistribution

    public abstract class ViewRisks<T extends AnalysisContextVisualization>
    extends java.lang.Object
    implements IView

This is a base class for displaying risk estimates.

Author:
  Fabian Prasser

### Field Summary

Fields
`static int` `MINIMAL_WORKING_TIME` Our users are patient.

### Constructor Summary

Constructors
Constructor and Description
`ViewRisks(org.eclipse.swt.widgets.Composite parent, Controller controller, ModelEvent.ModelPart target, ModelEvent.ModelPart reset)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Disposes the view.
`boolean` `isEnabled()` Is this view enabled
`void` `reset()` Resets the view.
`void` `setEnabled(boolean enabled)` Enables or disables this view
`void` `triggerStop()` Stops all computations
`void` `triggerUpdate()` Triggers an update
`void` `update(ModelEvent event)` Updates the view.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MINIMAL_WORKING_TIME

    public static final int MINIMAL_WORKING_TIME

Our users are patient.

See Also:
  Constant Field Values

### Constructor Detail

#### ViewRisks

    public ViewRisks(org.eclipse.swt.widgets.Composite parent,
                     Controller controller,
                     ModelEvent.ModelPart target,
                     ModelEvent.ModelPart reset)

Creates a new instance.

Parameters:
  `parent` -
  `controller` -
  `target` -
  `reset` -

### Method Detail

#### dispose

    public void dispose()

Description copied from interface: `IView`
Disposes the view.

Specified by:
  `dispose` in interface `IView`

#### isEnabled

    public boolean isEnabled()

Is this view enabled

Returns:

#### reset

    public void reset()

Description copied from interface: `IView`
Resets the view.

Specified by:
  `reset` in interface `IView`

#### setEnabled

    public void setEnabled(boolean enabled)

Enables or disables this view

Parameters:
  `enabled` -

#### triggerStop

    public void triggerStop()

Stops all computations

#### triggerUpdate

    public void triggerUpdate()

Triggers an update

#### update

    public void update(ModelEvent event)

Description copied from interface: `IView`
Updates the view.

Specified by:
  `update` in interface `IView`